Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227432 - loader should try multiple ports for DNS queries
Summary: loader should try multiple ports for DNS queries
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 21:53 UTC by Jack Neely
Modified: 2008-05-07 01:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:08:16 UTC


Attachments (Terms of Use)

Description Jack Neely 2007-02-05 21:53:48 UTC
Description of problem:

The loader uses a single static port as the source port for its DNS queries. 
This is port 32768 commonly also used by nfs statd on solaris.  Some security
setup require that this port be blocked.

Most DNS resolvers use a random port for security issues (DNS spoofing) and
avoiding firewalls.

Would it be possible to make the loader increment the source port used on DNS
resolver failures or use a random port?

Version-Release number of selected component (if applicable):
All versions of Anaconda

Steps to reproduce:
Use tcpdump to get a packet capture of packets going to your DNS server while
the loader is booting.  It always uses port 32768 (0x8000).

Comment 1 David Cantrell 2007-04-03 19:42:27 UTC
Is there an RFC or reference implementation that defines this port randomization
for DNS queries?

Changing the product to Fedora Core as I will only be able to work on it there.
 If you need this issue addressed in RHEL, contact your TAM.

Comment 2 Jack Neely 2007-04-03 20:13:43 UTC
Its to prevent DNS spoofing...ah here we go, there is a draft RFC for it.

http://www.ietf.org/internet-drafts/draft-ietf-dnsext-forgery-resilience-00.txt

I do need this in RHEL, but being an academic customer we can't have a TAM. 
Touchy subject...

Comment 3 David Cantrell 2008-01-04 04:47:51 UTC
We just use the functions in glibc to do the DNS lookups, so I think this will
have to be something implemented on that end.

Comment 4 Bug Zapper 2008-04-03 19:01:51 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 5 Bug Zapper 2008-05-07 01:08:14 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.